import React from 'react';
import { BreakpointProvider } from './components/Breakpoint'
import { Header } from './components/Layout/Header'
import { Footer } from './components/Layout/Footer'

function App() {
	return (
		<BreakpointProvider>
			<Header showActiveKit showMenu />
			<Footer />
		</BreakpointProvider>
	);
}

export default App;
