import React, { FC } from 'react'
import { Select as AntdSelect, SelectProps as AntdSelectProps } from 'antd'

export type SelectProps = Omit<AntdSelectProps, 'allowClear' | 'autoClearSearchValue' | 'bordered'
	| 'clearIcon' | 'maxTagPlaceholder' | 'maxTagTextLength' | 'menuItemSelectedIcon' |
	'mode' | 'notFoundContent' | 'optionFilterProp' | 'removeIcon' | 'searchValue' | 'showArrow' | 'size'
	| 'suffixIcon' | 'tagRender' | 'tokenSeparators' | 'onDeselect' | 'onClear'>

export const Select: FC<SelectProps> = (props) => {
	return <AntdSelect {...props} />
}
