import React, { PropsWithChildren } from 'react'
import styled from 'styled-components'
import {TinyText} from '../Typography'

const StyledTag = styled.div`
  background: #FFAB83;
  border-radius: 7px;
  text-align: center;
  height: 14px;
  line-height: 14px;
  display: inline-block;

  > span {
    position: relative;
    display: inline-block;
    top: -4px;
  }
`
export const Tag: React.FC<PropsWithChildren> = (props) => {
	return <StyledTag><TinyText>{props.children}</TinyText></StyledTag>
}
