import React, { FC } from 'react'
import { Button as AntdButton, ButtonProps as AntdButtonProps } from 'antd'

export type ButtonProps = Omit<AntdButtonProps, 'danger' | 'ghost' | 'shape' | 'size' | 'type'> & {
	type?: 'primary'  | 'default' | 'link' | 'text'
}
export const Button: FC<ButtonProps> = (props) => {
	return <AntdButton type="primary" {...props} />
}
