import React, { FC } from 'react'
import { Checkbox as AntdCheckbox, CheckboxProps as AntdCheckboxProps } from 'antd'

export type CheckboxProps = Omit<AntdCheckboxProps, 'indeterminate'>

export const Checkbox: FC<CheckboxProps> = (props) => {
	return <AntdCheckbox {...props} />
}
